/*	Master file for selecting the right sysetm_specific include file
 */

/* The following target systems are selected by changing the system_specific
** include file:
**
**	OSK		OS9 on the M68k series (compiler defines automatically)
**
**	__TURBOC__	Compilation under "Turbo C"
**
**	__MSDOS__	Target operating system is MSDOS
**
**	unix		A unix derivative
**
**	vms		VAX/VMS operating system
**
**  This file selects the right system_specific include file by using the
**  predefined tokens of the various compilers. Note that the OS9 compiler
**  has trouble with idenifiers starting with __ which it doesn't know about,
**  so it has to disabled around the __MSDOS__ bit.
*/

#ifdef unix
#include "unix_specific.h"
#endif

#ifdef vms
#include "vms_specific.h"
#endif

#ifndef OSK
#ifdef __MSDOS__
#ifdef APELLEgWM
#include "apellegwm_specific.h"
#else
#include "msdos_specific.h"
#endif
#endif
#endif

#ifdef OSK
#include "osk_specific.h"
#endif

