
#include <rpcrts.h>

typedef    rpc_char name[41];
typedef    rpc_long way_status;
typedef    rpc_long rpc_stype_0[4];
typedef    struct {
      rpc_long flags;
      rpc_long long_info[4];
   } info_type;

rpc_handle h_way2way_loc;

rpc_long way_2w_download_loc()

{   rpc_message *rpc_p_buf;
    rpc_long rpc_ret;

    c_begin(rpc_p_buf, h_way2way_loc, /*vers=*/8495, /*proc=*/1);
    c_call(h_way2way_loc, rpc_p_buf, -1);
    rpc_p_buf->m_index = RETURN_HEADER_LENGTH;
    upk_long(rpc_p_buf, rpc_ret);
    c_dispose(rpc_p_buf);
    return(rpc_ret);
    }

rpc_long way_2w_store_loc(service, address, info)
    name service;
    name address;
    info_type info;

{   rpc_message *rpc_p_buf;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;
    rpc_long rpc_ret;

    c_begin(rpc_p_buf, h_way2way_loc, /*vers=*/8495, /*proc=*/2);
   for (rpc_b = 0; rpc_b <= 40; rpc_b++)
   if (service[rpc_b] == '\0') break;
   pck_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   pck_char(rpc_p_buf, service[rpc_a]);
   }
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   for (rpc_b = 0; rpc_b <= 40; rpc_b++)
   if (address[rpc_b] == '\0') break;
   pck_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   pck_char(rpc_p_buf, address[rpc_a]);
   }
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   pck_long(rpc_p_buf, info.flags);
   for (rpc_a = 0; rpc_a<4; rpc_a++) {
      pck_long(rpc_p_buf, info.long_info[rpc_a]);
   }
    c_call(h_way2way_loc, rpc_p_buf, -1);
    rpc_p_buf->m_index = RETURN_HEADER_LENGTH;
    upk_long(rpc_p_buf, rpc_ret);
    c_dispose(rpc_p_buf);
    return(rpc_ret);
    }

open_way2way_loc()
{   rpc_status       status;

    c_open(status, h_way2way_loc, "way2way_loc                                 ");
    c_report_error(status);
    }
close_way2way_loc()
{   rpc_status       status;

    c_close(status, h_way2way_loc);
    c_report_error(status);
    }
