
#include <rpcrts.h>

typedef    rpc_char name[41];
typedef    rpc_long way_status;

program_index p_wayrc;

extern way_rc_shutdown();
/*  Parameters: 
    name password;
    */

extern rpc_long way_rc_change_password();
/*  Parameters: 
    name old;
    name new;
    */

static rpc_message *rpc_p_buf;

r_way_rc_shutdown()
{
    name password;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;

   upk_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   upk_char(rpc_p_buf, password[rpc_a]);
   }
   password[rpc_b] = '\0';
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
    c_turn(rpc_p_buf);
    c_early_return(rpc_p_buf);
    way_rc_shutdown(password);
    }

r_way_rc_change_password()
{
    name old;
    name new;
    register rpc_integer rpc_a;
    register rpc_integer rpc_b;

   upk_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   upk_char(rpc_p_buf, old[rpc_a]);
   }
   old[rpc_b] = '\0';
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
   upk_integer(rpc_p_buf, rpc_b);
   for (rpc_a = 0; rpc_a < rpc_b; rpc_a++) {
   upk_char(rpc_p_buf, new[rpc_a]);
   }
   new[rpc_b] = '\0';
    if (rpc_p_buf->m_index%2) rpc_p_buf->m_index++;
    c_turn(rpc_p_buf);
    pck_long(rpc_p_buf, way_rc_change_password(old, new));
    }

r_wayrc(rpc_a) rpc_message **rpc_a;
{   rpc_short request;

    rpc_p_buf = *rpc_a;
    rpc_p_buf->m_index = CALL_HEADER_LENGTH - 4;
    upk_short(rpc_p_buf, request);
    if (request != 0 && request != 4892)
         rpc_p_buf->m_status = RPC_S_UNSUPPORTED_VERSION;
    else {
     upk_short(rpc_p_buf, request);
     switch (request)
     {   case  1 : r_way_rc_shutdown();
                  break;
        case  2 : r_way_rc_change_password();
                  break;
        default : rpc_p_buf->m_status = RPC_S_BAD_PROCEDURE_NUMBER;
        }
     }
    }

attach_wayrc()
{   rpc_status      status;

    c_attach_stub(status, r_wayrc, 
        "wayrc                                   ", p_wayrc);
    c_report_error(status);
    }
